#!/bin/sh
set -e

tmpdir=$(mktemp -d -t pyjson5-temp-XXXXXX)
trap "rm -rf $tmpdir" 0 INT QUIT ABRT PIPE TERM

mkdir $tmpdir/tests/
cp tests/*.py $tmpdir/tests
rm $tmpdir/tests/tool_test.py
cp sample.json5 $tmpdir
cd $tmpdir
pytest-3 .
